Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.server.api.admin.cfg
Interface ConfigurationLDAP

    public interface ConfigurationLDAP

This interface defines the methods to manage the LDAP server configuration.

Method Summary
`java.lang.String` | `autoImportLDAPUser(java.lang.String userName, java.lang.String password)` Auto-imports a LDAP user.
`boolean` | `checkSynchronization()` Deprecated. This method is not effective since V7.0.
`boolean` | `confirmFilter(java.lang.String userName, java.lang.String filter)` Checks whether the user confirms the LDAP search filter or not.
`boolean` | `deleteSynSchedule()` Deletes the LDAP synchronization schedule task.
`boolean` | `disableSynSchedule()` Disables the LDAP synchronization schedule.
`boolean` | `enableSynSchedule()` Enables the LDAP synchronization schedule.
`boolean` | `exportSynResultToXMLFile(java.lang.String outputDir, SynchronizationResult result)` Exports the LDAP synchronization result object to an XML file.
`java.util.Vector` | `getEncryptedUsers()` Deprecated. This method is not effective since V7.0.
`SynchronizationResult` | `getLastLDAPSynchronizeScheduleResult()` Gets the last LDAP synchronization schedule task's result object.
`java.util.Vector` | `getLDAPGroups()` Gets the LDAP groups setting according to LDAP configuration.
`java.util.Enumeration` | `getLdapSynchronization()` Deprecated. This method is not effective since V7.0.
`java.util.Vector` | `getLDAPUsers()` Gets the LDAP users setting according to LDAP configuration.
`java.util.Properties` | `getSynchronizeSchedule()` Gets the LDAP synchronization schedule's properties.
`java.util.Enumeration` | `getUserNames()` Gets LDAP user names.
`boolean` | `importAllLDAPUsersAndGroups(boolean isOverWrite)` Imports all the LDAP groups and users from LDAP server.
`boolean` | `importLDAPGroups(boolean isOverWrite)` Imports the LDAP groups to local from LDAP Server(import to role or group).
`boolean` | `importLDAPGroupsAndUsers()` Deprecated. This method is not effective since V7.0.
`boolean` | `importLDAPRoles(boolean isOverWrite)` Deprecated. This method is not effective since V7.1. It has been replaced by importLDAPGroups(boolean isOverWrite).
`boolean` | `importLDAPUsers(boolean isOverWrite)` Imports the LDAP user to local from LDAP server.
`boolean` | `importSpecifyLDAPGroups(java.util.Vector specifyRolesName, boolean isOverWrite)` Imports some LDAP groups that specified by customers to local from LDAP Server(import to role or group).
`boolean` | `importSpecifyLDAPRoles(java.util.Vector specifyRolesName, boolean isOverWrite)` Deprecated. This method is not effective since V7.1. It has been replaced by importSpecifyLDAPGroups(Vector specifyRolesName, boolean isOverWrite).
`boolean` | `importSpecifyLDAPUsers(java.util.Vector specifyUsersName, boolean isOverWrite)` Imports some LDAP users that are specified by customers to local from LDAP Server.
`boolean` | `isConfromFilter(java.lang.String userName, java.lang.String filter)` Deprecated. This method is not effective since V8.0.
`boolean` | `isLDAPScheduleEnable()` Checks whether the LDAP Synchronization schedule is enabled or not.
`boolean` | `isValidLDAPUser(java.lang.String userName, java.lang.String password)` Checks whether a user is a valid LDAP user or not.
`boolean` | `isValidLDAPUserByDN(java.lang.String userName, java.lang.String userDN, java.lang.String password)` Checks whether a user is a valid LDAP user or not.
`java.lang.String` | `listExistedGroupDescriptions(java.lang.String groupName)` Deprecated. This method is not effective since V6.
`java.util.Vector` | `listExistedGroups()` Returns all the groups in LDAP.
`java.util.Vector` | `listExistedGroupsName()` Deprecated. This method is not effective since V6.
`java.lang.String` | `listExistedUserFullName(java.lang.String name)` Deprecated. This method is not effective since V6.
`java.util.Vector` | `listExistedUserNames()` Deprecated. This method is not effective since V6.
`java.util.Vector` | `listExistedUsers()` Returns all the user names in LDAP.
`void` | `setEncryptedUserAuthInfo(java.lang.String name, java.lang.String pw)` Deprecated. This method is not effective since V6.
`boolean` | `submitSynchronizeSchedule(java.util.Properties pro, java.lang.String submitter)` Submits a new LDAP synchronization schedule to server.
`SynchronizationResult` | `synchronize()` Synchronizes the server's security information with LDAP server.
`java.lang.String` | `testRoleMap(java.lang.String filter, java.lang.String roleName)` Checks whether the role map is valid or not.

Method Detail

### getLdapSynchronization

    java.util.Enumeration getLdapSynchronization()

  Deprecated. This method is not effective since V7.0.

  Checks the synchronization and returns the entries and the acls.

  Returns:
    hashtable key:acl name value:entry name

### getUserNames

    java.util.Enumeration getUserNames()

  Gets LDAP user names.

  Returns:
    the enumeration of user names.

### importLDAPGroupsAndUsers

    boolean importLDAPGroupsAndUsers()

  Deprecated. This method is not effective since V7.0.

  Puts LDAP user and group into server.

  Returns:
    boolean if the import is successful.

### checkSynchronization

    boolean checkSynchronization()

  Deprecated. This method is not effective since V7.0.

  Puts the LDAP user and group synchronization with server.

  Returns:
    boolean if the check is successful.

### setEncryptedUserAuthInfo

    void setEncryptedUserAuthInfo(java.lang.String name,
                                  java.lang.String pw)

  Deprecated. This method is not effective since V6.

  Saves the user password when the user is encrypted.

  Parameters:
    `name` - the user name.
    `pw` - the password.

### listExistedUsers

    java.util.Vector listExistedUsers()

  Returns all the user names in LDAP.

  Returns:
    all the user names in LDAP.

### listExistedGroups

    java.util.Vector listExistedGroups()

  Returns all the groups in LDAP.

  Returns:
    all the groups in LDAP.

### listExistedUserNames

    java.util.Vector listExistedUserNames()

  Deprecated. This method is not effective since V6.

  Returns all the user names in LDAP.

  Returns:
    all the user names in LDAP.

### listExistedUserFullName

    java.lang.String listExistedUserFullName(java.lang.String name)

  Deprecated. This method is not effective since V6.

  Returns all the user full names in LDAP.

  Returns:
    all the user full names in LDAP.

### listExistedGroupsName

    java.util.Vector listExistedGroupsName()

  Deprecated. This method is not effective since V6.

  Returns all the groups in LDAP.

  Returns:
    all the groups in LDAP.

### listExistedGroupDescriptions

    java.lang.String listExistedGroupDescriptions(java.lang.String groupName)

  Deprecated. This method is not effective since V6.

  Returns all groups Description in LDAP.

  Returns:
    all groups Description in LDAP.

### importLDAPUsers

    boolean importLDAPUsers(boolean isOverWrite)

  Imports the LDAP user to local from LDAP server.

  Parameters:
    `isOverWrite` - true when the LDAP user overwrites the local user, otherwise false.
  Returns:
    whether to import successfully or not.
  Since:
    V6

### importSpecifyLDAPUsers

    boolean importSpecifyLDAPUsers(java.util.Vector specifyUsersName,
                                   boolean isOverWrite)

  Imports some LDAP users that are specified by customers to local from LDAP Server.

  Parameters:
    `specifyUsersName` - the specified LDAP users' name setting.
    `isOverWrite` - true when the LDAP user overwrites the local user, otherwise false.
  Returns:
    whether to import successfully or not.
  Since:
    V6

### importLDAPRoles

    boolean importLDAPRoles(boolean isOverWrite)

  Deprecated. This method is not effective since V7.1. It has been replaced by importLDAPGroups(boolean isOverWrite).

  Imports the LDAP groups to local roles from LDAP server.

  Parameters:
    `isOverWrite` - true when the LDAP user overwrites the local user, otherwise false.
  Returns:
    whether to import successfully or not.
  Since:
    V6

### importLDAPGroups

    boolean importLDAPGroups(boolean isOverWrite)

  Imports the LDAP groups to local from LDAP Server(import to role or group).

  Parameters:
    `isOverWrite` - true when the LDAP user overwrites the local user, otherwise false.
  Returns:
    whether to import successfully or not.
  Since:
    V7.1

### importSpecifyLDAPRoles

    boolean importSpecifyLDAPRoles(java.util.Vector specifyRolesName,
                                   boolean isOverWrite)

  Deprecated. This method is not effective since V7.1. It has been replaced by importSpecifyLDAPGroups(Vector specifyRolesName, boolean isOverWrite).

  Imports some LDAP groups that are specified by customers to local roles from LDAP Server.

  Parameters:
    `specifyRolesName` - the specified roles' name setting.
    `isOverWrite` - true when the LDAP user overwrites the local user, otherwise false.
  Returns:
    whether to import successfully or not.
  Since:
    V6

### importSpecifyLDAPGroups

    boolean importSpecifyLDAPGroups(java.util.Vector specifyRolesName,
                                    boolean isOverWrite)

  Imports some LDAP groups that specified by customers to local from LDAP Server(import to role or group).

  Parameters:
    `specifyRolesName` - the specified roles' name setting.
    `isOverWrite` - true when the LDAP user overwrites the local user, otherwise false.
  Returns:
    whether to import successfully or not.
  Since:
    V7.1

### importAllLDAPUsersAndGroups

    boolean importAllLDAPUsersAndGroups(boolean isOverWrite)

  Imports all the LDAP groups and users from LDAP server.

  Parameters:
    `isOverWrite` - true when the LDAP user overwrites the local user, otherwise false.
  Returns:
    true when the import is successful, otherwise return false.

### getLDAPUsers

    java.util.Vector getLDAPUsers()

  Gets the LDAP users setting according to LDAP configuration.

  Returns:
    the LDAP users setting.
  Since:
    V6

### getLDAPGroups

    java.util.Vector getLDAPGroups()

  Gets the LDAP groups setting according to LDAP configuration.

  Returns:
    the LDAP groups setting.
  Since:
    V6

### getEncryptedUsers

    java.util.Vector getEncryptedUsers()

  Deprecated. This method is not effective since V7.0.

  Returns all the users which have been encrypted.

  Returns:
    all the users which have been encrypted.

### testRoleMap

    java.lang.String testRoleMap(java.lang.String filter,
                                 java.lang.String roleName)

  Checks whether the role map is valid or not.

  Parameters:
    `filter` - the role map's filter.
    `roleName` - the role map's binding role name.
  Returns:
    the test message.
  Since:
    server V7.0

### autoImportLDAPUser

    java.lang.String autoImportLDAPUser(java.lang.String userName,
                                        java.lang.String password)

  Auto-imports a LDAP user.

  Parameters:
    `userName` - the user's name.
    `password` - the user's password.
  Returns:
    if imported successfully, return null, otherwise return error message.
  Since:
    server V7.0

### isConfromFilter

    boolean isConfromFilter(java.lang.String userName,
                            java.lang.String filter)

  Deprecated. This method is not effective since V8.0.

  Checks whether the user conforms the LDAP search filter or not.

  Parameters:
    `userName` - the user's name.
    `filter` - the LDAP search filter.
  Returns:
    if this filter is confirmed, return true, otherwise return false.
  Since:
    server V7.0

### confirmFilter

    boolean confirmFilter(java.lang.String userName,
                          java.lang.String filter)

  Checks whether the user confirms the LDAP search filter or not.

  Parameters:
    `userName` - the user's name.
    `filter` - the LDAP search filter.
  Returns:
    if this filter is confirmed, return true, otherwise return false.
  Since:
    server V8.0

### isValidLDAPUser

    boolean isValidLDAPUser(java.lang.String userName,
                            java.lang.String password)

  Checks whether a user is a valid LDAP user or not.

  Parameters:
    `userName` - the user's name.
    `password` - the user's password.
  Returns:
    if user is a valid LDAP user, return true, otherwise return false.
  Since:
    server V7.0

### isValidLDAPUserByDN

    boolean isValidLDAPUserByDN(java.lang.String userName,
                                java.lang.String userDN,
                                java.lang.String password)

  Checks whether a user is a valid LDAP user or not.

  Parameters:
    `userName` - the user's name.
    `userDN` - the user's dn(distinguished name) in LDAP server.
    `password` - the user's password.
  Returns:
    if user is a valid LDAP user, return true, otherwise return false.
  Since:
    server V8.0

### synchronize

    SynchronizationResult synchronize()

  Synchronizes the server's security information with LDAP server.

  Returns:
    a SynchronizationResult Object, the user can get the synchronization information. For instance: the users' name is removed because LDAP server removed it.
  Since:
    server V7.0

### isLDAPScheduleEnable

    boolean isLDAPScheduleEnable()

  Checks whether the LDAP Synchronization schedule is enabled or not.

  Returns:
    if this schedule is enabled, return true, otherwise return false.
  Since:
    server V7.0

### submitSynchronizeSchedule

    boolean submitSynchronizeSchedule(java.util.Properties pro,
                                      java.lang.String submitter)

  Submits a new LDAP synchronization schedule to server. If there is a schedule store in server, the system will replace the old schedule with the new one.

  Parameters:
    `pro` - the schedule's properties.
    `submitter` - the submitter's name.
  Returns:
    if submitted successful, return true. otherwise return false.
  Since:
    server V7.0

### getSynchronizeSchedule

    java.util.Properties getSynchronizeSchedule()

  Gets the LDAP synchronization schedule's properties.

  Returns:
    Properties the schedule's properties.

### disableSynSchedule

    boolean disableSynSchedule()

  Disables the LDAP synchronization schedule.

  Returns:
    if disabled successfully, return true, otherwise return false.
  Since:
    server V7.0

### enableSynSchedule

    boolean enableSynSchedule()

  Enables the LDAP synchronization schedule.

  Returns:
    if enabled successfully, return true, otherwise return false.
  Since:
    server V7.0

### deleteSynSchedule

    boolean deleteSynSchedule()

  Deletes the LDAP synchronization schedule task.

  Returns:
    if deleted successfully, return true, otherwise return false.
  Since:
    server V7.0

### exportSynResultToXMLFile

    boolean exportSynResultToXMLFile(java.lang.String outputDir,
                                     SynchronizationResult result)

  Exports the LDAP synchronization result object to an XML file.

  Parameters:
    `outputDir` - the XML file's dir, for example: C:\temp\result.xml.
    `result` - the LDAP synchronization result.
  Returns:
    if the object is successfully exported, return true, otherwise return false.
  Since:
    server V7.0

### getLastLDAPSynchronizeScheduleResult

    SynchronizationResult getLastLDAPSynchronizeScheduleResult()

  Gets the last LDAP synchronization schedule task's result object.

  Returns:
    the LDAP synchronization result object.
  Since:
    server V7.0

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD